Assign Conversation
POST
Assign a conversation to an agent or a team
header
AuthorizationBearer <token>Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.
account_id*integerThe numeric ID of the account
conversation_id*integerThe numeric ID of the conversation
application/json- body
assignee_id?numberId of the assignee user
team_id?numberId of the team. If the assignee_id is present, this param would be ignored
Success
application/json- response
id?numberaccess_token?stringaccount_id?numberavailable_name?stringavatar_url?stringconfirmed?booleandisplay_name?string|nullmessage_signature?string|nullemail?stringhmac_identifier?stringinviter_id?number|nullname?stringprovider?stringpubsub_token?stringrole?stringValue in
"agent""administrator"ui_settings?uid?stringtype?string|nullcustom_attributes?Available for users who are created through platform APIs and has custom attributes associated.
accounts?array<>curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/conversations/0/assignments' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": 0, "access_token": "string", "account_id": 0, "available_name": "string", "avatar_url": "string", "confirmed": true, "display_name": "string", "message_signature": "string", "email": "string", "hmac_identifier": "string", "inviter_id": 0, "name": "string", "provider": "string", "pubsub_token": "string", "role": "agent", "ui_settings": {}, "uid": "string", "type": "string", "custom_attributes": {}, "accounts": [ { "id": 0, "name": "string", "status": "string", "active_at": "2019-08-24T14:15:22Z", "role": "administrator", "permissions": [ "string" ], "availability": "string", "availability_status": "string", "auto_offline": true, "custom_role_id": 0, "custom_role": {} } ]}